#include "DHTesp.h"
#include "BluetoothSerial.h"

DHTesp DhtSensor1;
float temp = 0;
float hum = 0;

String a;
BluetoothSerial SerialBT;

void setup() {
  DhtSensor1.setup(16, DHTesp::DHT11);
  Serial.begin(9600);

  pinMode(LED_BUILTIN, OUTPUT);

  SerialBT.begin("DONIZ");
  SerialBT.println(String("Start1"));
  delay(5000);
  SerialBT.println(String("Start2"));
  delay(5000);
}

void loop() {

  a = (SerialBT.readStringUntil('\n'));
  a.trim();
  if (a == String("LED ON")) {
    digitalWrite(LED_BUILTIN, 1);
  } else if (a == String("LED OFF")) {
    digitalWrite(LED_BUILTIN, 0);
  } else if (a == String("TEMP")) {
    temp = DhtSensor1.getTemperature();
    SerialBT.println(temp);
  } else if (a == String("HUM")) {
    hum = DhtSensor1.getHumidity();
    SerialBT.println(hum);
  }
  /* 
  Serial.print("Temperature = ");
  Serial.println(temp);   
  Serial.print("Humidity = ");
  Serial.println(hum);   
  
  delay(2000);
  */
}
